# Method: advertisers.lineItems.patch

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/patch#try-it)

Updates an existing line item. Returns the updated line item if successful.

Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:

- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/bulkEditAssignedTargetingOptions#google.ads.displayvideo.v4.LineItemAssignedTargetingOptionsService.BulkEditAssignedTargetingOptions`
- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems/bulkUpdate#google.ads.displayvideo.v4.LineItemService.BulkUpdateLineItems`
- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/create#google.ads.displayvideo.v4.LineItemAssignedTargetingOptionsService.CreateLineItemAssignedTargetingOption`
- `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems.targetingTypes.assignedTargetingOptions/delete#google.ads.displayvideo.v4.LineItemAssignedTargetingOptionsService.DeleteLineItemAssignedTargetingOption`

YouTube \& Partners line items cannot be created or updated using the API.

**This method regularly experiences high latency.** We recommend [increasing your default timeout](https://developers.google.com/display-video/api/guides/best-practices/timeouts#client_library_timeout) to avoid errors.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v4/advertisers/{lineItem.advertiserId}/lineItems/{lineItem.lineItemId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `lineItem.advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the advertiser the line item belongs to. |
| `lineItem.lineItemId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the line item. Assigned by the system. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems#LineItem`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.lineItems#LineItem`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).